
DeadDrop - Feature #20

Encrypt database content

07/18/2023 11:27 AM - Sancho Fock

Status: Closed Start date: 10/17/2023

Priority: Normal Due date: 10/20/2023

Assignee: Sancho Fock % Done: 100%

Category: DB Estimated time: 0:00 hour

Target version: 0.4.x   

Description

All Data values shall be stored encrypted regardless of the drop type

Subtasks:

Feature # 48: Add Configuration for Encryption Closed

Feature # 49: Add Transperent Enryption Layer between dbQuery Closed

Feature # 50: Create DB Encryption Migration Tool Closed

Related issues:

Follows Feature #15: Protect Client by Password Closed 10/06/2023 10/14/2023

Follows Feature #42: HashInvite Passwords Closed 10/16/2023 10/16/2023

Precedes Refactoring #43: Refactorings V0.5 New 10/24/2023 11/24/2023

Precedes Support #53: Release V 0.4 Closed 10/23/2023 10/23/2023

History

#1 - 07/18/2023 01:00 PM - Sancho Fock

- Estimated time set to 8:00 h

#2 - 07/19/2023 02:35 AM - Sancho Fock

- Target version changed from open to 0.2.0

#3 - 07/20/2023 02:03 AM - Sancho Fock

- Start date changed from 07/18/2023 to 07/23/2023

#4 - 07/22/2023 01:12 AM - Sancho Fock

- Start date changed from 07/23/2023 to 07/26/2023

#5 - 07/23/2023 09:02 PM - Sancho Fock

- Target version changed from 0.2.0 to 0.3.0

#6 - 07/25/2023 11:43 PM - Sancho Fock

- Target version changed from 0.3.0 to 0.4.x

#7 - 07/29/2023 12:05 AM - Sancho Fock

- Due date set to 08/22/2023

- Start date changed from 07/26/2023 to 08/22/2023

- Follows Feature #15: Protect Client by Password added

#8 - 07/29/2023 12:07 AM - Sancho Fock

- Precedes Feature #23: Enable Attchments	 added

#9 - 08/05/2023 11:40 PM - Sancho Fock

- Due date changed from 08/22/2023 to 08/25/2023

- Start date changed from 08/22/2023 to 08/25/2023

#10 - 08/05/2023 11:43 PM - Sancho Fock
- Due date changed from 08/25/2023 to 08/29/2023

- Start date changed from 08/25/2023 to 08/29/2023

#11 - 08/05/2023 11:44 PM - Sancho Fock

- Due date changed from 08/29/2023 to 08/24/2023

- Start date changed from 08/29/2023 to 08/24/2023

#12 - 08/05/2023 11:45 PM - Sancho Fock

- Due date changed from 08/24/2023 to 08/25/2023

- Start date changed from 08/24/2023 to 08/25/2023

#13 - 08/06/2023 09:30 PM - Sancho Fock

- Due date changed from 08/25/2023 to 08/22/2023

- Start date changed from 08/25/2023 to 08/22/2023

#14 - 08/06/2023 09:32 PM - Sancho Fock

- Due date changed from 08/22/2023 to 08/23/2023

- Start date changed from 08/22/2023 to 08/23/2023

#15 - 08/06/2023 09:33 PM - Sancho Fock

- Due date changed from 08/23/2023 to 08/17/2023

- Start date changed from 08/23/2023 to 08/17/2023

#16 - 08/06/2023 09:35 PM - Sancho Fock

- Due date changed from 08/17/2023 to 08/18/2023

- Start date changed from 08/17/2023 to 08/18/2023

#17 - 08/06/2023 09:39 PM - Sancho Fock

- Due date changed from 08/18/2023 to 08/16/2023

- Start date changed from 08/18/2023 to 08/16/2023

#18 - 08/06/2023 09:40 PM - Sancho Fock

- Due date changed from 08/16/2023 to 08/17/2023

- Start date changed from 08/16/2023 to 08/17/2023

#19 - 08/06/2023 09:40 PM - Sancho Fock

- Due date changed from 08/17/2023 to 08/18/2023

- Start date changed from 08/17/2023 to 08/18/2023

#20 - 08/07/2023 11:15 PM - Sancho Fock

- Due date changed from 08/18/2023 to 08/17/2023

- Start date changed from 08/18/2023 to 08/17/2023

#21 - 08/07/2023 11:18 PM - Sancho Fock

- Due date changed from 08/17/2023 to 08/21/2023

- Start date changed from 08/17/2023 to 08/21/2023

#22 - 08/07/2023 11:18 PM - Sancho Fock

- Due date changed from 08/21/2023 to 08/22/2023

- Start date changed from 08/21/2023 to 08/22/2023

#23 - 08/07/2023 11:18 PM - Sancho Fock

- Due date changed from 08/22/2023 to 08/23/2023

- Start date changed from 08/22/2023 to 08/23/2023
#24 - 10/02/2023 10:50 AM - Sancho Fock

- Due date changed from 10/06/2023 to 10/10/2023

- Start date changed from 10/06/2023 to 10/10/2023

#25 - 10/02/2023 04:39 PM - Sancho Fock

- Due date changed from 10/10/2023 to 10/06/2023

- Start date changed from 10/10/2023 to 10/06/2023

#26 - 10/02/2023 04:40 PM - Sancho Fock

- Due date changed from 10/06/2023 to 10/09/2023

- Start date changed from 10/06/2023 to 10/09/2023

#27 - 10/03/2023 01:14 AM - Sancho Fock

- Due date changed from 10/09/2023 to 10/10/2023

- Start date changed from 10/09/2023 to 10/10/2023

- Follows Feature #42: HashInvite Passwords added

#28 - 10/07/2023 11:15 PM - Sancho Fock

- Due date changed from 10/10/2023 to 10/12/2023

#29 - 10/07/2023 11:21 PM - Sancho Fock

- Precedes Refactoring #43: Refactorings V0.5 added

#30 - 10/07/2023 11:22 PM - Sancho Fock

- Precedes deleted (Feature #23: Enable Attchments	)

#31 - 10/08/2023 12:12 AM - Sancho Fock

- Due date changed from 10/12/2023 to 10/13/2023

- Start date changed from 10/10/2023 to 10/11/2023

#32 - 10/10/2023 12:45 AM - Sancho Fock

- Due date changed from 10/13/2023 to 10/16/2023

- Start date changed from 10/11/2023 to 10/12/2023

#33 - 10/12/2023 01:35 AM - Sancho Fock

- Due date changed from 10/16/2023 to 10/17/2023

- Start date changed from 10/12/2023 to 10/13/2023

#34 - 10/12/2023 01:35 AM - Sancho Fock

- Due date changed from 10/17/2023 to 10/18/2023

- Start date changed from 10/13/2023 to 10/16/2023

#35 - 10/14/2023 01:50 AM - Sancho Fock

- Due date changed from 10/18/2023 to 10/19/2023

- Start date changed from 10/16/2023 to 10/17/2023

#36 - 10/15/2023 10:56 PM - Sancho Fock

- Subtask #48 added

#37 - 10/15/2023 10:59 PM - Sancho Fock

- Subtask #49 added

#38 - 10/15/2023 11:03 PM - Sancho Fock

- Subtask #50 added
#39 - 10/15/2023 11:05 PM - Sancho Fock

- Status changed from New to In Progress

- Estimated time deleted (8:00 h)

#40 - 10/16/2023 10:47 PM - Sancho Fock

- Precedes Support #53: Release V 0.4 added

#41 - 10/21/2023 01:22 AM - Sancho Fock

- Status changed from In Progress to Resolved

#42 - 10/21/2023 01:25 AM - Sancho Fock

- Status changed from Resolved to Closed
